﻿<html lang="nl">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Filmzoekert: imdb via omdb</title>
    <meta name="description" content="imdb toegang via de api van omdb">
    <meta name="author" content="napnop.net">
    <link rel="shortcut icon" type="image/ico" href="./favicon.ico">

    <link rel="stylesheet" href="css/styles.css?v=1.0">
    <script>
        //console.log(screen);
        //console.log("W:" + screen.availWidth + "\n" + "H:" + screen.availHeight);
        //alert("W:" + screen.availWidth + "\n" + "H:" + screen.availHeight);
        //alert("W:" + screen.width + "\n" + "H:" + screen.height);
        //console.log(screen.orientation);

    </script>

</head>
<body  id="topper">
    <nav  id="nav-top" class="fade-in">
        <label>🔑 Uw sleutel: <input placeholder="123456" type="password" id="key-holder-id" name="key_holder"></label>

        <section id="search_section">
            <label for="search-title-input-id"><button id="search_field_button">Uw filmzoekterm: </button></label><input type="text" placeholder="titel film" id="search-title-input-id" name="search_title_input" />
        </section>
    </nav>
    <div id="nav-backspacer"></div>

    

    <section id="search-results-section">
        <div id="view-window">
            <div id="train-holder">
            </div>
            <div id="error-messages">
                <h2)>Welkom bij Filmzoekert!</h2>
                <h3>Een toelichting:</h3>
                <ul>
                    <li>Heb een sleutel</li>
                    <li>Voer sleutel in</li>
                    <li>Voer filmzoekterm in</li>
                    <li>Scroll door resultaten</li>
                    <li>(muis neer houden/blijven aanraken plaatje voor geheel tonen ervan)</li>
                    <li>klik/tap(tik) knop "meer info" voor meer informatie</li>
                    
                </ul>
            </div>
        </div>
        <div id="loading-left" class="loading-div">loading</div>
        <div id="loading-right"  class="loading-div">loading</div>
    </section>

    <template id="search-result-tmpl">
            <div class="poster-holder">
                <img  src="https://m.media-amazon.com/images/M/MV5BNjM0NTc0NzItM2FlYS00YzEwLWE0YmUtNTA2ZWIzODc2OTgxXkEyXkFqcGdeQXVyNTgwNzIyNzg@._V1_SX300.jpg" alt="https://m.media-amazon.com/images/M/MV5BNjM0NTc0NzItM2FlYS00YzEwLWE0YmUtNTA2ZWIzODc2OTgxXkEyXkFqcGdeQXVyNTgwNzIyNzg@._V1_SX300.jpg">
                <div class="poster-info"></div>
                
            </div>
    </template>

    <p>Filmzoekert wordt gevoed door OMDb API -- The Open Movie Database van </p>

    <details>
        <summary>Bent u een ontwikkelaar?: ontwikkelaars kunnen een sleutel aanvragen bij OMDb API -- The Open Movie Database van <a href="mailto:bfritz@fadingsignal.com">Brian Fritz</a></summary>
        <a href="http://www.omdbapi.com/" target="_blank">Website voor OMDb API</a><br />
        <a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank">licentie voor gebruik van OMDb API</a>
    </details>


    <div id="blocker">
        <div id="modal-holder">
            <div id="movie-info-modal"></div>
            <button class="closeX" id="closeXrt">X</button>
            <button class="closeX" id="closeXrb">X</button>
            <button class="closeX" id="closeXlb">X</button>
            <button class="closeX" id="closeXlt">X</button>
        </div>
    </div>
    
    <script src="js/scripts.js"></script>
</body>
</html>